Bug 75324 - rpm fails with exit code 0
rpm fails with exit code 0
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 05:46 EDT by Gerald Teschl
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-24 12:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rpm command line plus output (7.44 KB, text/plain)
2003-03-04 12:59 EST, Gerald Teschl
no flags Details

  None (edit)
Description Gerald Teschl 2002-10-07 05:46:32 EDT
I just tried some upgrades between different versions of redhat
by just using rpm. E.g. I upgraded a 7.3 to rpm-4.1 and then tried
to upgrade the remaining packages.

I noted that if you pass a large number of rpms it sometimes happens
that it fails to upgrade the packages since it ends up in a loop
(warning: LOOP:) but the exit code is still 0.
Comment 1 Jeff Johnson 2002-10-07 05:55:35 EDT
A dependency loop is not a failure, rpm-4.x
undertakes appropriate corrective action, ignoring
the Requires: in the loop, honoring the PreReq:'s.

The only side effect is that the partial order of
the packages in the transaction set changes,
as the loop is detected late, causing packages
in the loop to be emitted later than they would be
in the absence of the loop.
Comment 2 Gerald Teschl 2002-10-08 16:03:39 EDT
Sorry if my report was unclear. There are some dependency issues and
rpm fails with unresolved dependencies, but the exit code is still 0.

Unfortunately, I don't know how to reproduce this, the only thing
in common is the "loop" error. But this might be just coincidence.
Comment 3 Jeff Johnson 2003-01-14 16:00:35 EST
If you want me to dig out an erroneous exit code,
I'm gonna need a reproducible test case that shows
the problem.
Comment 4 Gerald Teschl 2003-03-04 12:57:06 EST
OK. I just managed to reproduce this with rpm-4.0.4

I took a fully up2date 7.3 system (with rpm-4.0.4-7x.18) and tried to
upgrade 256 packages from redhat 8.0. I'll add the command line plus the
rpm output as attachment.

In this case it will print an error about failed dependencies (and it will not
upgrade a single rpm) but exit with 0.

Comment 5 Gerald Teschl 2003-03-04 12:59:03 EST
Created attachment 90464 [details]
rpm command line plus output
Comment 6 Gerald Teschl 2003-03-24 12:14:03 EST
I can no longer reproduce this with rpm-4.1.1.

Note You need to log in before you can comment on or make changes to this bug.